%bcond_with bootstrap

Summary:        Jakarta Annotations
Name:           jakarta-annotations
Version:        1.3.5
Release:        6%{?dist}
License:        EPL-2.0 or GPLv2 with exceptions
URL:            https://github.com/eclipse-ee4j/common-annotations-api
Source0:        https://github.com/eclipse-ee4j/common-annotations-api/archive/%{version}/common-annotations-api-%{version}.tar.gz

BuildRequires:  maven-local
%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)
%endif
Provides:       glassfish-annotation-api = %{version}-%{release}

BuildArch:      noarch

%description
Jakarta Annotations defines a collection of annotations representing
common semantic concepts that enable a declarative style of programming
that applies across a variety of Java technologies.

%{?javadoc_package}

%prep
%autosetup -n common-annotations-api-%{version}

%pom_remove_parent
%pom_disable_module spec
%pom_remove_plugin :maven-javadoc-plugin api
%pom_remove_plugin :maven-source-plugin api
%pom_remove_plugin :findbugs-maven-plugin api
%pom_remove_plugin :spec-version-maven-plugin api
%pom_xpath_set pom:Bundle-Version '${project.version}' api
%pom_xpath_set pom:Bundle-SymbolicName '${project.artifactId}' api
%pom_xpath_set pom:Extension-Name '${extension.name}' api
%pom_xpath_set pom:Implementation-Version '${project.version}' api
%pom_xpath_set pom:Specification-Version '${spec.version}' api
%mvn_alias jakarta.annotation:jakarta.annotation-api \
  javax.annotation:javax.annotation-api \
  javax.annotation:jsr250-api

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE.md NOTICE.md
%doc README.md

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.5-6
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.5-5
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 20 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.3.5-4
- Disable bootstrap

* Thu Apr 13 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.3.5-3
- Rewritten spec for maven 3.8.6

* Fri Mar 24 2023 rockerzhu <rockerzhu@tencent.com> - 1.3.5-2
- Rebuild

* Tue Dec 20 2022 Zhao Zhen <jeremiazhao@tencent.com> - 1.3.5-1
- initial
